package cz.mendelu.dnaAnalyser.batch;

import cz.mendelu.dnaAnalyser.user.User;
import org.springframework.security.authentication.AbstractAuthenticationToken;

class BatchAuthentication extends AbstractAuthenticationToken {

    private final Batch batch;

    public BatchAuthentication(Batch batch) {
        super(batch.getOwner().getAuthorities());
        this.batch = batch;
    }

    @Override
    public Object getCredentials() {
        return batch;
    }

    @Override
    public Object getPrincipal() {
        return batch.getOwner();
    }
}
