package cz.mendelu.dnaAnalyser.sequence.data;

import cz.mendelu.dnaAnalyser.sequence.ModelSequenceService;
import cz.mendelu.dnaAnalyser.sequence.Sequence;
import cz.mendelu.dnaAnalyser.utils.exception.NotFoundException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.UUID;

@Service
public class BufferSequenceDataService {

    @Autowired
    private ModelSequenceService modelSequenceService;

    @Autowired
    private SequenceDataRepository sequenceDataRepository;

    public SequenceData findSequenceBuffer(UUID id) {
        Sequence sequence = modelSequenceService.findOne(id);
        if (sequence == null) {
            throw new NotFoundException(Sequence.class, id);
        }
        return sequenceDataRepository.load(sequence);
    }
}
